Get a journey
curl --request GET \
--url https://api.getvero.com/api/v2/journeys/{id} \
--header 'Authorization: <api-key>'import requests
url = "https://api.getvero.com/api/v2/journeys/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.getvero.com/api/v2/journeys/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 42,
"name": "Welcome series",
"description": null,
"status": "active",
"trigger": {
"type": "event",
"event_name": "user_signed_up"
},
"nodes": [
{
"id": 1,
"type": "enter"
},
{
"id": 2,
"type": "delay",
"delay": {
"duration": 3,
"duration_unit": "days",
"delivery_option": 1,
"delay_property": null,
"property_type": null,
"preferred_delivery_time": null
}
},
{
"id": 3,
"type": "email",
"title": "Welcome email",
"message": {
"id": 100,
"from": "hello@example.com",
"reply_to": "reply@example.com",
"contents": [
{
"id": 200,
"locale": null,
"is_default": true,
"subject": "Welcome aboard",
"preheader_text": "Glad you're here"
}
]
}
},
{
"id": 4,
"type": "branch",
"conditions": {
"combinator": "and",
"groups": []
}
},
{
"id": 5,
"type": "exit"
}
],
"edges": [
{
"from": 1,
"to": 2
},
{
"from": 2,
"to": 4
},
{
"from": 4,
"to": 3,
"branch_index": 0
},
{
"from": 4,
"to": 5,
"branch_index": 1
},
{
"from": 3,
"to": 5
}
],
"created_at": "2026-03-01T10:00:00Z",
"updated_at": "2026-03-01T10:00:00Z"
}{
"error": "not_found"
}Journeys
Get a journey
Retrieves a single journey including its full graph. The graph include the trigger,
nodes and edges. The graph is composed of nodes and edges. Messaging nodes expose
message and content metadata but do not include content bodies or audience details.
Archived journeys return 200 with status: "archived".
GET
/
journeys
/
{id}
Get a journey
Authorizations
Accepts either a raw API key or Bearer <key>.
Headers
Optional dated API revision for the request. Must use YYYY-MM-DD format.
Pattern:
^\d{4}-\d{2}-\d{2}$Example:
"2026-03-01"
Path Parameters
Journey ID.
Response
Single journey returned.
Available options:
draft, active, paused, archived, cancelled Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I

